#include maps\_utility;
#include common_scripts\utility;
#include maps\_anim;

#using_animtree ("generic_human");
main()
{
	thread blackhawk_anims();
	thread friendly_chat_system();
	
	// Main characters
	level.scr_sound[ "arab1" ][ "intro" ] 										= "usa_attacking";	
	level.scr_sound[ "arab2" ][ "intro" ] 										= "get_out";	
	level.scr_sound[ "arab3" ][ "intro" ] 										= "secure";	
	
	level.scr_anim[ "arab1" ][ "intro" ] 										= %killhouse_gaz_point_side;
	level.scr_anim[ "arab2" ][ "intro" ] 										= %bog_b_casualcrouch_react;
	
	level.scr_anim[ "guy" ][ "cower_idle" ][0]				= %unarmed_cowerstand_idle;
	level.scr_anim[ "guy" ][ "wounded_idle" ][0]				= %ziptie_suspect_idle;
	level.scr_anim[ "guy" ][ "zip_vip" ]				= %ziptie_suspect;
	level.scr_anim[ "guy" ][ "zip_asad" ] =			%ziptie_soldier;
	level.scr_sound[ "guy" ][ "with_him_dia" ] =			"with_him";
	level.scr_anim[ "guy" ][ "with_him" ][0] = %patrolstand_idle;
	level.scr_anim[ "guy" ][ "with_him_other_guy" ][0] = %patrolstand_idle;
	level.scr_anim[ "generic" ][ "patrol_walk" ]					 = %patrol_bored_patrolwalk;
	level.scr_sound[ "generic" ][ "end_speech1" ] 										= "end_speech1";	
	level.scr_sound[ "generic" ][ "end_speech2" ] 										= "end_speech2";
	
	// Closing scene
	level.scr_anim[ "guy" ][ "crowdmember_gunup_idle" ][ 0 ]	 		 = %coup_guard1_idle;
	level.scr_anim[ "guy" ][ "crowdmember_gunup_fire" ][ 0 ]	 		 = %coup_guard1_jeer;
	level.scr_anim[ "guy" ][ "crowdmember_gundown_idle" ][ 0 ]	 		 = %coup_guard2_idle;
	level.scr_anim[ "guy" ][ "crowdmember_gundown_jeer" ][ 0 ]	 		 = %coup_guard2_jeera;
	level.scr_anim[ "guy" ][ "crowdmember_gundown_fire_a" ][ 0 ]		 = %coup_guard2_jeerb;
	level.scr_anim[ "guy" ][ "crowdmember_gundown_fire_b" ][ 0 ]		 = %coup_guard2_jeerc;	
		
	// Door Kicker
	level.scr_anim[ "doorkicker" ][ "kickdoor" ] = %doorkick_2_cqbwalk;
	level.scr_sound[ "doorkicker" ][ "waves" ] 										= "waves";
	level.scr_anim[ "doorkicker" ][ "waves" ] = %hunted_wave_chat;
}

friendly_chat_system()
{
	/* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	FRIENDLY CHATTER SYSTEM
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	
	Just a knock-off version of battle chatter, specifically
	for an Enemy type campaign, as players wouldn't be able
	to understand Arabian/Russian voice overs. The current
	system is just a very, very basic version.
	
	If you want to add your own, simply add your own index below.
	For example, if you wanted to have your friendlies warn the
	player of a hostile near a car.	
		level.scr_sound[ "guy" ][ "hostile_car" ] = "hostile_near_car";
	
	A trigger_multiple in your map will need the KVPs of:
		"targetname" 					"friendly_chatter"
		"script_noteworthy" 	"hostile_car"
	Be sure you have the proper spawn flags set, Actor_Axis for
	enemies, Actor_Allies for friendlies, Not_Player for disabling
	player triggering, etc...
	
	In your map's string file, you'll also need make an entry
	for the in-game subtitle.
		REFERENCE           HOSTILE_CAR
		LANG_ENGLISH        "^2Arab Soldier: ^7Hostiles near car!"
	
	Lastly, you'll need to make entries in your map's
	sound alias file. The MP3 doesn't matter unless
	you want to record custom sounds. Otherwise, be sure to
	add your alias and reference under the Name and Subtitle
	columns, respectively.
		hostile_near_car
		MAPNAME_HOSTILE_CAR
	
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	* * * * * * * * * * * * * * * * * * * * * * * * * * * * */
	 
	// MG nest ahead, find another route!
	level.scr_sound[ "guy" ][ "mg_dude" ] 										= "mg_dude";
	// Too many guys, can't advance ahead!
	level.scr_sound[ "guy" ][ "side_route" ] 										= "side_route";
	// Incoming tank!
	level.scr_sound[ "guy" ][ "bradley_incoming" ] 										= "bradley_incoming";
	// Hostiles in the open!
	level.scr_sound[ "guy" ][ "hostiles_open" ] 										= "hostiles_open";
	// Spot ahead, I hear something.
	level.scr_sound[ "guy" ][ "quiet" ] 										= "quiet";
	// Up on the roof!
	level.scr_sound[ "guy" ][ "roof" ] 										= "roof";
	// The documents are inside the two story building, hurry!
	level.scr_sound[ "guy" ][ "documents" ] 										= "documents";
	// Clear out the building!
	level.scr_sound[ "guy" ][ "clear_building" ] 										= "clear_building";
	// Enemy sniper on the roof!
	level.scr_sound[ "guy" ][ "sniper" ] 										= "sniper";
	// You're going the wrong way!
	level.scr_sound[ "guy" ][ "wrongway" ] 										= "wrongway";
	// Hurry up, we need those documents!
	level.scr_sound[ "guy" ][ "grab" ] 										= "grab";
	// We're downstairs, help us!
	level.scr_sound[ "guy" ][ "downstairs" ] 										= "downstairs";
	// Enemy on second floor!
	level.scr_sound[ "guy" ][ "secondfloor" ] 										= "secondfloor";
	// Incoming hostiles!
	level.scr_sound[ "guy" ][ "incoming" ] 										= "incoming";
	// Go to the roof and grab the sniper.
	level.scr_sound[ "guy" ][ "roofsniper" ] 										= "roofsniper";
	// This path is blocked by cars.
	level.scr_sound[ "guy" ][ "carblock" ] 										= "carblock";
	// Let's get moving!
	level.scr_sound[ "guy" ][ "lets_go" ] 										= "lets_go";
	// Find a way in, try a window.
	level.scr_sound[ "guy" ][ "find_way_in" ] 										= "find_way_in";
	// They're here! Reinforcements!
	level.scr_sound[ "guy" ][ "they_are_here" ] 										= "they_are_here";
}

#using_animtree( "vehicles" );
blackhawk_anims()
{
	level.scr_anim[ "blackhawk" ][ "idle" ][ 0 ] 				= %blackout_bh_evac_heli_idle;
	level.scr_anim[ "blackhawk" ][ "landing" ] 					= %blackout_bh_evac_heli_land;

	
	level.scr_anim[ "blackhawk" ][ "rotors" ] 					= %bh_rotors;
	level.scr_animtree[ "blackhawk" ] 							= #animtree;
}